# BR TimeML

This repository offers the TimeML resource re-tagged with the Bounding Relations proposal. This proposal allows for the representation of ambiguity in the temporal relationship that may exist between a pair of events.


This repository corresponds to the work set out in the paper: Temporal Relations Annotation and Extrapolation Based on Semi-intervals and Boundig Relations.
This paper proposes a system for the annotation and management of temporal relations that combines the richness and expressiveness of Freksa’s approach with the simplicity of Allen’s notation.  Our method is summarized in the application of bounding relations, thanks to which it is possible to obtain the temporary representation of complete neighborhoods capable of representing vague temporal relationships such as those that can be found frequently in a text.
The  aforementioned  advantages  are  obtained  without  the  need  to  greatly  increase  the  complexity  of  the  labeling  process,  since  the markup language is almos the same as TimeML, to which only a second temporary relationship type label "relType" is added.  Our experiments show that the temporal relationships that present vagueness are in fact much more common than those in which a single relationship can be established precisely.  Because of this, our new labeling system achieves a representation of the time more attached to reality.